Skip to main content
Update pipeline name/description

Path Parameters

pipeline_id
string
required

Body

application/json
name
string | null
Minimum string length: 1
description
string | null

Response

Successful Response

Model for representing a pipeline in API list responses (without elements).

id
string
required
project_id
string
required
name
string
required
status
enum<string>
required
Available options:
pending,
running,
completed,
failed,
canceled
created_at
string<date-time>
required
updated_at
string<date-time>
required
organization_id
string
required

Organization this pipeline belongs to.

user_id
string | null
description
string | null
options
PipelineOptions · object

Options for pipeline execution behavior.

error
string | null
error_code
enum<string> | null

Machine-readable error codes for jobs.

Available options:
CONFIGURATION_ERROR,
MODEL_ERROR,
SOLVER_ERROR,
EXECUTION_TIMEOUT,
SUBMISSION_FAILED,
INTERNAL_ERROR
created_by_email
string | null